Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.fee.v06
Class EPPFeeChkData

    java.lang.Object
      com.verisign.epp.codec.fee.v06.EPPFeeChkData

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPFeeChkData

extends java.lang.Object
implements EPPCodecComponent

The extension to a response to a check command with the fee check extension.

See Also:
  `EPPFeeCheck`, `EPPFeeDomainResult`, Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPFeeChkData`.
`static java.lang.String` | `ELM_NAME` XML root tag for `EPPFeeChkData`.

Constructor Summary
`EPPFeeChkData()` `EPPFeeChkData` default constructor.
`EPPFeeChkData(EPPFeeDomainResult aResult)` `EPPFeeChkData` constructor that will set the result of an individual domain.
`EPPFeeChkData(java.util.List<EPPFeeDomainResult> aResults)` `EPPFeeChkData` constructor that will set the result of multiple domains.

Method Summary
`void` | `addCheckResult(EPPFeeDomainResult aResult)` Adds a check result to the list of results.
`java.lang.Object` | `clone()` Clone `EPPFeeChkData` instance.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPFeeChkData` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPFeeChkData` instance.
`boolean` | `equals(java.lang.Object aObject)` Implements a deep `EPPFeeChkData` compare.
`java.util.List<EPPFeeDomainResult>` | `getCheckResults()` Get the results of a `EPPFeeChkData` Response.
`java.lang.String` | `getNamespace()` Get the EPP command Namespace associated with `EPPFeeChkData`.
`void` | `setCheckResult(EPPFeeDomainResult aResult)` Sets the result of an individual domain name.
`void` | `setCheckResults(java.util.List<EPPFeeDomainResult> aResults)` Set the results of a `EPPFeeChkData` Response.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  XML local name for `EPPFeeChkData`.

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML root tag for `EPPFeeChkData`.

  See Also:
    Constant Field Values

Constructor Detail

### EPPFeeChkData

    public EPPFeeChkData()

  `EPPFeeChkData` default constructor. The results list will be empty.

### EPPFeeChkData

    public EPPFeeChkData(EPPFeeDomainResult aResult)

  `EPPFeeChkData` constructor that will set the result of an individual domain.

  Parameters:
    `aResult` - Result of a single domain name.

### EPPFeeChkData

    public EPPFeeChkData(java.util.List<EPPFeeDomainResult> aResults)

  `EPPFeeChkData` constructor that will set the result of multiple domains.

  Parameters:
    `aResults` - List of check results

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Get the EPP command Namespace associated with `EPPFeeChkData`.

  Returns:
    `EPPFeeExtFactory.NS`

### equals

    public boolean equals(java.lang.Object aObject)

  Implements a deep `EPPFeeChkData` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPFeeChkData` instance to compare with
  Returns:
    `true` if equal `false` otherwise.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPFeeChkData` instance.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPFeeChkData`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### getCheckResults

    public java.util.List<EPPFeeDomainResult> getCheckResults()

  Get the results of a `EPPFeeChkData` Response. There is one `EPPFeeDomainResult` instance in `this.results` for each domain requested in the Check Command.

  Returns:
    List of results if defined; empty list otherwise.

### setCheckResults

    public void setCheckResults(java.util.List<EPPFeeDomainResult> aResults)

  Set the results of a `EPPFeeChkData` Response. There is one `EPPFeeDomainResult` instance in `this.results` for each domain requested in the Check Command.

  Parameters:
    `aResults` - List of claims check results

### addCheckResult

    public void addCheckResult(EPPFeeDomainResult aResult)

  Adds a check result to the list of results.

  Parameters:
    `aResult` - Check result to add to the list.

### setCheckResult

    public void setCheckResult(EPPFeeDomainResult aResult)

  Sets the result of an individual domain name.

  Parameters:
    `aResult` - Check result to set

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPFeeChkData` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPFeeChkData` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPFeeChkData` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPFeeChkData` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPFeeChkData` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.